Description

My point of view, after giving many training courses, is that the default option should be changed to "prompt for CRS", eventually adding a

checkbox in the dialog windows that pops up, to avoid being asked over and over for the reminder of the session.

Why?

a few reasons:

*) common/new qgis users tend to not go and configure "options -> CRS -> coordinate reference system of new layers" to match their

needs

*) common/new gis users do have and hard time understand how/when a layer do not have a explicit CRS, examples: a TIFF with

worldfile or a Shapefile with no .prj file

*) a few tools, both core and 3rd party plugins, do produce output layers (in memory layers or file based layers) that are usually added to

the canvas and given (in their properties) the CRS defined in "use default CRS displayed below" (of the "options -> CRS -> coordinate

reference system of new layers" option). If the user do not change this option, it is by default WGS84 and in many cases is obviously

wrong, leading to a number of problems (reprojections in the wrong place, layers saved with the wrong CRS, etc.). Exemples: the "cad

tools" plugin and the "raster terrain analysis" plugin.

History

#1 - 2011-10-24 03:54 AM - Giovanni Manghi

The issue has been discussed in the QGIS-USERS mailing list and all the feedback have been in favor of this change.

#2 - 2011-10-24 04:49 AM - Giovanni Manghi

http://lists.osgeo.org/pipermail/qgis-user/2011-October/013940.html

7 feedback, all positive, until now.

#3 - 2011-10-25 01:56 AM - Giovanni Manghi

- Resolution set to fixed

- Status changed from Open to Closed

Behavior changed by Marco in fecb0de028a83bcd6768cbb5663f2439bd2f920f Thanks!
